# Enumeration Class Reference
[Widely used base classes and interfaces, Classes implemented in PHP's extension.]

Parent of all enumeration classes. More...

Inheritance diagram for Enumeration:
[legend]

List of all members.

## Public Member Functions

| __construct ($id)
| getId ()
| parent's getId() is too complex in our case
| getObjectList ()
| toString ()
| getNameList ()
| setId ($id)
| serialize ()
| prevent's serialization of names' array
| unserialize ($serialized)

## Static Public Member Functions

static | getList (Enumeration $enum)
static | getAnyId ()
| must return any existent ID 1 should be ok for most enumerations

## Protected Attributes

| $names = array()

## Detailed Description

Parent of all enumeration classes.

See also:
  AccessMode for example

Definition at line 20 of file Enumeration.class.php.

## Constructor & Destructor Documentation

Enumeration::__construct | ( | $ | id | ) | `[final]`

Definition at line 24 of file Enumeration.class.php.

References IdentifiableObject::$id, and setId().

Here is the call graph for this function:

## Member Function Documentation

static Enumeration::getAnyId | ( |  | ) | `[static]`

must return any existent ID 1 should be ok for most enumerations

Reimplemented in PostgresError, ImageType, IsoCurrency, HttpStatus, and MetaClassType.

Definition at line 51 of file Enumeration.class.php.

Enumeration::getId | ( |  | ) |

parent's getId() is too complex in our case

Definition at line 57 of file Enumeration.class.php.

Referenced by TuringImage::outputImage(), LightMetaProperty::setFetchStrategy(), PostgresDialect::typeToString(), MyDialect::typeToString(), and LiteDialect::typeToString().

static Enumeration::getList | ( | Enumeration $ | enum | ) | `[static]`

Definition at line 42 of file Enumeration.class.php.

References getObjectList().

Here is the call graph for this function:

Enumeration::getNameList | ( |  | ) |

Definition at line 78 of file Enumeration.class.php.

Referenced by getObjectList(), and setId().

Enumeration::getObjectList | ( |  | ) |

Definition at line 62 of file Enumeration.class.php.

References IdentifiableObject::$id, $names, and getNameList().

Referenced by MetaConfiguration::checkEnumerationReferentialIntegrity(), and getList().

Here is the call graph for this function:

Enumeration::serialize | ( |  | ) |

prevent's serialization of names' array

Definition at line 31 of file Enumeration.class.php.

Enumeration::setId | ( | $ | id | ) |

Returns:
  Enumeration

Reimplemented in RequestType, FetchStrategy, and LogLevel.

Definition at line 86 of file Enumeration.class.php.

References IdentifiableObject::$id, $names, and getNameList().

Referenced by __construct(), and unserialize().

Here is the call graph for this function:

Enumeration::toString | ( |  | ) |

Reimplemented in GoogleChartAxisType, GoogleChartLegendPositionType, GoogleChartSolidFillType, GoogleChartType, LabelStyleType, and HttpStatus.

Definition at line 73 of file Enumeration.class.php.

Enumeration::unserialize | ( | $ | serialized | ) |

Definition at line 36 of file Enumeration.class.php.

References setId().

Here is the call graph for this function:

## Member Data Documentation

Enumeration::$names = array()`[protected]`

Reimplemented in PostgresError, AccessMode, IsolationLevel, DatePart, ForeignChangeAction, ImageType, IsoCurrency, RequestType, GoogleChartAxisType, GoogleChartLegendPositionType, GoogleChartSolidFillType, GoogleChartType, LabelStyleType, FetchStrategy, FeedItemContentType, HttpMethod, HttpStatus, MailEncoding, LogLevel, MetaClassType, and MetaRelation.

Definition at line 22 of file Enumeration.class.php.

Referenced by getObjectList(), and setId().

The documentation for this class was generated from the following file:

- core/Base/Enumeration.class.php